#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios::sync_with_stdio(false);
    int n,k,br=0;
    cin>>n>>k;
    if(k==1)
    {
        set <int > s;
        int x;
        for(int i=0;i<n;i++)
        {
            cin>>x;
            s.insert(x);
        }
        cout<<s.size()<<"\n";
        set<int>::iterator it;
         for(it=s.begin();it!=s.end();it++)
        {
            cout<<*it<<" ";
        }
    }
    else
    {
        int a[n],x,pom=0;
        for(int i=0;i<n;i++)
        {
            cin>>a[i];
        }
        sort(a,a+n);
        vector<int>v;
        vector<int>::iterator it;
        x=a[0];
        int i=0;
        while(i<n)
        {
            while(a[i]==x)
            {
                pom++;
                i++;
            }
            if(pom>=k)
            {br++;v.push_back(x);}
            x=a[i];
            pom=0;

        }
        cout<<br<<"\n";
        for(it=v.begin();it!=v.end();it++)
        {
            cout<<*it<<" ";
        }

    }

}